#! /usr/bin/env bash

CONF_PATH=`dirname $0`
if [ -z "$NO_32BIT" ]; then
    flatpak-builder $2 --arch=i386 build32 "$CONF_PATH/Base$1-i386.yaml" || exit 1
fi
if [ -z "$NO_64BIT" ]; then
    ostree export --repo ~/.local/share/flatpak/repo runtime/org.freedesktop.Platform.Compat.i386/x86_64/18.08 > "$CONF_PATH/i386.tar"
    flatpak-builder $2 --arch=x86_64 build64 "$CONF_PATH/Base$1-x86_64.yaml" || exit 2
fi
